

Fix a printk warning


 arch/ppc64/kernel/traps.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/traps.c~ppc64-traps-warning-fixes arch/ppc64/kernel/traps.c
--- 25-power4/arch/ppc64/kernel/traps.c~ppc64-traps-warning-fixes	2003-05-22 00:39:38.000000000 -0700
+++ 25-power4-akpm/arch/ppc64/kernel/traps.c	2003-05-22 00:41:30.000000000 -0700
@@ -346,10 +346,11 @@ ProgramCheckException(struct pt_regs *re
 	}
 }
 
- void
+void
 KernelFPUnavailableException(struct pt_regs *regs)
 {
-	printk("Illegal floating point used in kernel (task=0x%016lx, pc=0x%016lx, trap=0x%08x)\n",
+	printk("Illegal floating point used in kernel "
+			"(task=0x%p, pc=0x%016lx, trap=0x%08lx)\n",
 		current, regs->nip, regs->trap);
 	panic("Unrecoverable FP Unavailable Exception in Kernel");
 }

_
